<template>
  <h1>Backgrounds</h1>

  <div class="doc-markdown doc-markdown--toc">
    <div class="doc-markdown__toc">
      <div class="doc-markdown__toc__wrapper">
        <h2 class="-text--nowrap">Table of content</h2>
        <nav class="doc-markdown__toc__content">
          <ol class="-unstyled">
            <li>
              <a href="#specific">Specific backgrounds</a>
            </li>
            <li>
              <a href="#states">States</a>
              <ol>
                <li v-for="state in states" :key="state"><a :href="`#state_${state}`">{{ state }}</a></li>
              </ol>
            </li>
            <li>
              <a href="#named_colors">Named colors</a>
              <ol>
                <li v-for="color in colors" :key="color"><a :href="`#color_${color}`">{{ color }}</a></li>
              </ol>
            </li>
          </ol>
        </nav>
      </div>
    </div>
    <div class="doc-markdown__content">
      <section>
        <h2 id="specific">Specific backgrounds</h2>
        <div v-for="helper in helpers" :key="helper" :class="`-doc-outline ${helper} -mtd -pd`" style="min-height: 150px">
          <code>{{ helper }}</code> class
        </div>
      </section>

      <section>
        <h2 id="states">States</h2>
        <p>
          These classes are well combinable with the <code>-text--&lt;state&gt;</code> and <code>-text--&lt;state&gt;-alt</code> classes.
        </p>
        <p>
          Ideally, use a background with an <em>alt</em> text, or a text with an <em>alt</em> background.
        </p>
        <template v-for="color in states" :key="color">
          <h3 :id="`state_${color}`">{{ color }}</h3>
          <div class="-grid-2 -gap">
            <div :class="`-doc-outline -bg--color-${color} -pd`" style="min-height: 150px"><code>-bg--color-{{ color }}</code> class</div>
            <div :class="`-doc-outline -bg--color-${color}-alt -pd`" style="min-height: 150px"><code>-bg--color-{{ color }}-alt</code> class</div>
          </div>
        </template>
      </section>

      <section>
        <h2 id="named_colors">Named colors</h2>
        <p>
          These classes are well combinable with the <code>-text--&lt;color&gt;</code> and <code>-text--&lt;color&gt;-alt</code> classes.
        </p>
        <p>
          Ideally, use a background with an <em>alt</em> text, or a text with an <em>alt</em> background.
        </p>
        <template v-for="color in colors" :key="color">
          <h3 :id="`color_${color}`">{{ color }}</h3>
          <div class="-grid-2 -gap">
            <div :class="`-doc-outline -bg--color-${color} -pd`" style="min-height: 150px"><code>-bg--color-{{ color }}</code> class</div>
            <div :class="`-doc-outline -bg--color-${color}-alt -pd`" style="min-height: 150px"><code>-bg--color-{{ color }}-alt</code> class</div>
          </div>
        </template>
      </section>
    </div>
  </div>
</template>

<script>
import { colors, states } from '../../utils/constants.js'

const helpers = [
  '-checked-background',
  '-bg-component',
  '-bg-component--alt',
  '-bg-default',
  '-bg-default--alt',
]

export default {
  name: 'BackgroundsView',
  data () {
    return {
      helpers,
      colors,
      states,
    }
  },
  created () {
    this.$setTitle('Backgrounds')
  },
}
</script>
